Skip to main content
GET
/
v1
/
podcasts
/
episodes
/
{id}
/
ads
List ads in an episode
curl --request GET \
  --url https://api.particle.pro/v1/podcasts/episodes/{id}/ads \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "read_type": "<string>",
      "sponsor_name": "<string>",
      "company": {
        "id": "<string>",
        "name": "<string>"
      },
      "offer_description": "<string>",
      "placement_type": "<string>",
      "podcast": {
        "id": "<string>",
        "title": "<string>",
        "image_url": "<string>",
        "slug": "<string>"
      },
      "product": "<string>",
      "sponsor_url": "<string>"
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.particle.pro/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Episode ID

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results